<?php
/***********************************************************************
	View Only Boards MOD - version 1.2c
	This file makes the necessary changes in the database.
***********************************************************************/
if (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

vob_install();

// Used to avoid collision with variables in the global scope...
function vob_install()
{
	global $smcFunc;

	db_extend('packages');

	$table_columns = $smcFunc['db_list_columns']('{db_prefix}boards');

	// The column exists so there's nothing to do here ...
	if (in_array('member_groups_view', $table_columns))
		return;

	$vob_column = array(
		'name' => 'member_groups_view',
		'type' => 'varchar',
		'size' => 255,
	);

	// Are we upgrading from smf 1.x?
	if (in_array('memberGroupsView', $table_columns))
		return $smcFunc['db_change_column']('{db_prefix}boards', 'memberGroupsView', $vob_column);

	// Add the column the new column
	return $smcFunc['db_add_column']('{db_prefix}boards', $vob_column, null, 'skip_if_exists');
}
?>